# coding=utf-8
from django.conf import settings
from utils.custom_modelviewset import CustomModelViewSet
from apps.log.models import BizLog
from apps.tenant.models import Tenant
from .serializers import TenantSerializer


class TenantViewSet(CustomModelViewSet):
    queryset = Tenant.objects.all()
    serializer_class = TenantSerializer

    def perform_create(self, serializer):
        super(TenantViewSet, self).perform_create(serializer)
        instance = serializer.instance
        validated_data = serializer.validated_data
        BizLog.objects.addnew(instance, self.request.user, BizLog.INSERT, u'申请租户[%s] id=%d' % (instance.company_name, instance.id), validated_data)
